// RunUO 2.0 Venus Düzenlemesi <admin@venus.gen.tr>

// Felucca haritasındaki 6 şampiyon alanında spawn oluşturur.
// Oluşturulan tüm spawnlar aktif olacaktır, olmaması için aktif = false yapın.

using System;
using System.Collections;
using Server;
using Server.Mobiles;
using Server.Items;
using Server.Commands;
using Server.Engines.CannedEvil;

namespace Server.Misc
{
	public class ChampGen
	{
		private static bool Aktif = true;

		public static void Initialize()
		{
			CommandSystem.Register( "Champ", AccessLevel.Administrator, new CommandEventHandler( ChampCommand ) );
		}

		[Usage( "Champ" )] 
		public static void ChampCommand( CommandEventArgs e ) 
		{
			ChampionSpawn s1 = new ChampionSpawn();
			s1.MoveToWorld( new Point3D( 5556, 825, 65 ), Map.Felucca );
			s1.Type = ChampionSpawnType.VerminHorde;
			s1.RestartDelay = TimeSpan.FromHours( 1.0 );
			s1.Active = Aktif;

			ChampionSpawn s2 = new ChampionSpawn();
			s2.MoveToWorld( new Point3D( 5307, 699, 20 ), Map.Felucca );
			s2.Type = ChampionSpawnType.UnholyTerror;
			s2.RestartDelay = TimeSpan.FromHours( 3.0 );
			s2.Active = Aktif;

			ChampionSpawn s3 = new ChampionSpawn();
			s3.MoveToWorld( new Point3D( 5206, 1585, 20 ), Map.Felucca );
			s3.Type = ChampionSpawnType.Arachnid;
			s3.RestartDelay = TimeSpan.FromHours( 1.0 );
			s3.Active = Aktif;

			ChampionSpawn s4 = new ChampionSpawn();
			s4.MoveToWorld( new Point3D( 5258, 806, 21 ), Map.Felucca );
			s4.Type = ChampionSpawnType.ColdBlood;
			s4.RestartDelay = TimeSpan.FromHours( 1.0 );
			s4.Active = Aktif;

			ChampionSpawn s5 = new ChampionSpawn();
			s5.MoveToWorld( new Point3D( 5814, 1351, 1 ), Map.Felucca );
			s5.Type = ChampionSpawnType.ForestLord;
			s5.RestartDelay = TimeSpan.FromHours( 3.0 );
			s5.Active = Aktif;

			ChampionSpawn s6 = new ChampionSpawn();
			s6.MoveToWorld( new Point3D( 5508, 1348, 20 ), Map.Felucca );
			s6.Type = ChampionSpawnType.Abyss;
			s6.RestartDelay = TimeSpan.FromHours( 1.0 );
			s6.Active = Aktif;

			e.Mobile.SendMessage( "Tüm şampiyon alanları oluşturuldu." );
		}
	}
}
